## i-cal-restriction

i-cal-restriction

## Functions

gint | i_cal_restriction_compare ()
gint | i_cal_restriction_check ()

## Types and Values

enum | ICalRestrictionKind

## Description

## Functions

### i_cal_restriction_compare ()

    gint
    i_cal_restriction_compare (ICalRestrictionKind restr,
                               gint count);

Compares the kind of restriction and the count to determine whether it is valid.

#### Parameters

restr | The restriction kind |
count | The number of restrictions |

#### Returns

Whether it is valid or not. -1 indicates invalid or more analysis. 1 indicates pass and 0 or 2+ indicates fail.

Since: 1.0

### i_cal_restriction_check ()

    gint
    i_cal_restriction_check (ICalComponent *comp);

Checks whether the ICalComponent is valid.

#### Parameters

comp | The component to be checked |

#### Returns

Whether the `comp` is valid.

Since: 1.0

## Types and Values

### enum ICalRestrictionKind

#### Members

I_CAL_RESTRICTION_NONE |  |
I_CAL_RESTRICTION_ZERO |  |
I_CAL_RESTRICTION_ONE |  |
I_CAL_RESTRICTION_ZEROPLUS |  |
I_CAL_RESTRICTION_ONEPLUS |  |
I_CAL_RESTRICTION_ZEROORONE |  |
I_CAL_RESTRICTION_ONEEXCLUSIVE |  |
I_CAL_RESTRICTION_ONEMUTUAL |  |
I_CAL_RESTRICTION_UNKNOWN |  |